classification
Title: parser module doesn't support set displays or set comprehensions
Type: behavior Stage: patch review
Components: Library (Lib) Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: mark.dickinson Nosy List: mark.dickinson, python-dev
Priority: normal Keywords: patch

Created on 2012-04-29 21:44 by mark.dickinson, last changed 2012-05-07 15:37 by mark.dickinson. This issue is now closed.

Files
File name Uploaded Description Edit
parser_dictorsetmaker.patch mark.dickinson, 2012-04-30 18:28 review
Messages (3)
msg159656 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2012-04-29 21:44
>>> parser.tuple2st(parser.expr('{2}').totuple())
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
parser.ParserError: could not validate expression tuple
[70677 refs]
>>> parser.tuple2st(parser.expr('{x**2 for x in [1, 2, 3]}').totuple())
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
parser.ParserError: could not validate expression tuple
[70677 refs]

This seems to be already fixed in Python 2.7.
msg159722 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2012-04-30 18:28
Patch attached.
msg160152 - (view) Author: Roundup Robot (python-dev) Date: 2012-05-07 15:36
New changeset 129289144dfb by Mark Dickinson in branch '3.2':
Issue #14697: Fix missing parser module support for set displays and set comprehensions.
http://hg.python.org/cpython/rev/129289144dfb

New changeset 4815a4a4a852 by Mark Dickinson in branch 'default':
Issue #14697:  Merge fix from 3.2.
http://hg.python.org/cpython/rev/4815a4a4a852
History
Date User Action Args
2012-05-07 15:37:34mark.dickinsonsetstatus: open -> closed
assignee: mark.dickinson
resolution: fixed
2012-05-07 15:36:47python-devsetnosy: + python-dev
messages: + msg160152
2012-04-30 18:28:01mark.dickinsonsetfiles: + parser_dictorsetmaker.patch
keywords: + patch
messages: + msg159722

stage: needs patch -> patch review
2012-04-29 21:44:56mark.dickinsoncreate